import { CategoriesCrud, PageBuilderStorageOperations, PbContext } from "../../types";
import { CategoriesPermissions } from "./permissions/CategoriesPermissions";
import { PagesPermissions } from "./permissions/PagesPermissions";
export interface CreateCategoriesCrudParams {
    context: PbContext;
    storageOperations: PageBuilderStorageOperations;
    categoriesPermissions: CategoriesPermissions;
    pagesPermissions: PagesPermissions;
    getTenantId: () => string;
    getLocaleCode: () => string;
}
export declare const createCategoriesCrud: (params: CreateCategoriesCrudParams) => CategoriesCrud;
