"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.default = void 0;
var _handler = require("@webiny/handler");
var _default = () => {
  return new _handler.ContextPlugin(async ({
    pageBuilder
  }) => {
    /**
     * After a block has changed, rerender published pages.
     */
    pageBuilder.onPageBlockAfterUpdate.subscribe(async ({
      pageBlock
    }) => {
      await pageBuilder.prerendering.render({
        tags: [{
          tag: {
            key: "pb-page-block",
            value: pageBlock.id
          }
        }]
      });
    });
  });
};
exports.default = _default;

//# sourceMappingURL=afterPageBlockUpdate.js.map